package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum JobStatusType implements EnumType {
  QUEUED("대기중"),
  RUNNING("실행중"),
  SUCCESS("성공"),
  FAILED("실패"),
  CANCELED("취소");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
